Bug 288803 - Integrate Amazon AMZ downloader
Summary: Integrate Amazon AMZ downloader
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Services/Amazon MP3 Store (show other bugs)
Version: 2.5-git
Platform: Unlisted Binaries All
: NOR wishlist (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-12 14:44 UTC by Sven Krohlas
Modified: 2012-09-12 23:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Krohlas 2011-12-12 14:44:57 UTC
Version:           2.5-git
OS:                All

(part of my todo list for 2.6)

Create a utility able to fetch MP3s given a valid AMZ file. Integrate it into Amarok.

Reproducible: Didn't try



Expected Results:  
-
Comment 1 Sven Krohlas 2012-09-12 23:47:43 UTC
Git commit 5df289172653cf97df489388adcc79d224c3ecdd by Sven Krohlas.
Committed on 13/09/2012 at 01:32.
Pushed by krohlas into branch 'master'.

Amazon store: we now have our own .amz downloader :)

* requires clamz, qt -> portable and also interesting for other projects
* patch includes MIME-types for .amz files and hooks in .desktop files
so that a user just needs to click on an .amz file to make the magic
happen
* still a very basic app, but it works

FIXED-IN:2.7
FEATURE:288803

M  +2    -0    ChangeLog
M  +1    -0    utilities/CMakeLists.txt
A  +201  -0    utilities/amzdownloader/AmzDownloader.cpp     [License: GPL (v2+)]
A  +54   -0    utilities/amzdownloader/AmzDownloader.h     [License: GPL (v2+)]
A  +139  -0    utilities/amzdownloader/AmzDownloader.ui
A  +38   -0    utilities/amzdownloader/CMakeLists.txt
A  +6    -0    utilities/amzdownloader/amzdownloader.desktop
A  +7    -0    utilities/amzdownloader/amzdownloader.xml
A  +31   -0    utilities/amzdownloader/main.cpp     [License: GPL (v2+)]

http://commits.kde.org/amarok/5df289172653cf97df489388adcc79d224c3ecdd